---
title: "danog\\AsyncOrm\\KeyType: Specifies the type of keys."
description: ""

---
# `danog\AsyncOrm\KeyType`
[Back to index](../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
> Author: Alexander Pankratov <alexander@i-c-a.su>  
  

Specifies the type of keys.  




## Constants
* `danog\AsyncOrm\KeyType::STRING_OR_INT`: Strings or integers.

* `danog\AsyncOrm\KeyType::STRING`: Only strings.

* `danog\AsyncOrm\KeyType::INT`: Only integers.

## Properties
* `$name`: `string` 
* `$value`: `string` 

## Method list:
* [`cases(): array`](#cases)
* [`from(string|int $value): static`](#from)
* [`tryFrom(string|int $value): ?static`](#tryFrom)

## Methods:
### <a name="cases"></a> `cases(): array`





### <a name="from"></a> `from(string|int $value): static`




Parameters:

* `$value`: `string|int`   



### <a name="tryFrom"></a> `tryFrom(string|int $value): ?static`




Parameters:

* `$value`: `string|int`   



---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
